Criar conhecimento ou mídia
curl --request POST \
--url https://api.nuvia.ai/v1/knowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'name=<string>' \
--form 'description=<string>'import requests
url = "https://api.nuvia.ai/v1/knowledge"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('name', '<string>');
form.append('description', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.nuvia.ai/v1/knowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": {},
"name": "<string>",
"type": "KNOWLEDGE",
"file_type": "PDF",
"company": {
"_id": {},
"name": "<string>",
"channels": [
"WAP_AUTO_CLOSER"
],
"agent_flows": [
{
"_id": {},
"name": "<string>",
"url": "<string>",
"specialist_url": "<string>",
"type": "N8N"
}
],
"description": "<string>",
"status": "ACTIVE",
"domains": [
"<string>"
],
"site": "<string>",
"general_config": {},
"agent_builder_mcp_enabled": true,
"auto_join_enabled": true,
"subscription": {},
"onboarding": {},
"attribution": {}
},
"description": "<string>",
"s3_key": "<string>",
"file_url": "<string>",
"content": "<string>",
"status": "PROCESSING",
"meta": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Base de Conhecimento
Criar conhecimento ou mídia
Envie o arquivo em multipart/form-data. Com type=KNOWLEDGE (PDF/DOCX) o arquivo é processado para busca semântica e o item nasce PROCESSING até virar READY. Com type=MEDIA (imagem, vídeo, áudio ou documento para envio em conversas) o arquivo é só armazenado e já nasce READY.
POST
/
v1
/
knowledge
Criar conhecimento ou mídia
Autorizações
Token JWT de autenticação
Cabeçalhos
Identificador da empresa-alvo. Obrigatório apenas para API Keys globais (type=global). Ignorado para API Keys de empresa e usuários humanos.
Corpo
multipart/form-data
Arquivo para upload
Nome do conhecimento/mídia
Tipo: KNOWLEDGE ou MEDIA
Opções disponíveis:
KNOWLEDGE, MEDIA Tipo do arquivo: PDF, DOCX, IMAGE, VIDEO, AUDIO, DOCUMENT
Opções disponíveis:
PDF, DOCX, AUTCL, IMAGE, VIDEO, AUDIO, DOCUMENT Descrição opcional
Resposta
201 - application/json
Opções disponíveis:
KNOWLEDGE, MEDIA Opções disponíveis:
PDF, DOCX, AUTCL, IMAGE, VIDEO, AUDIO, DOCUMENT Show child attributes
Show child attributes
Chave do objeto no S3. Fonte da verdade para gerar URL assinada.
Opções disponíveis:
PROCESSING, READY, ERROR ⌘I